<?php

namespace App\Models\Shop;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Spatie\MediaLibrary\HasMedia;
use Rinvex\Tags\Traits\Taggable;
use Kirschbaum\PowerJoins\PowerJoins;
use Wildside\Userstamps\Userstamps;

use App\Traits\Model\Imageable;

class Producer extends Model implements HasMedia
{
    use Imageable, PowerJoins, SoftDeletes, Taggable, UserStamps;

    protected $guarded = ['id'];
    protected $table = 'shop_producers';

    public function Articles()
    {
        
    }
    
    public function Merchandises()
    {
        return $this->hasMany(Merchandise::class);
    }

    public function tags()
    {
        return $this->morphToMany(Tag::class, 'taggable');
    }
}
